import { provide as p, nextTick as r, inject as v } from "vue";
const i = /* @__PURE__ */ Symbol("ApKeepAliveProvideKey"), g = (t, s) => {
  p(i, {
    getter: async (e) => {
      await r();
      const a = t.get(s.value);
      return a ? e ? a?.get(e) : Object.fromEntries(a) : {};
    },
    setter: async (e, a) => {
      await r();
      let n = t.get(s.value);
      return n || (n = /* @__PURE__ */ new Map(), t.set(s.value, n)), n?.set(e, a);
    },
    has: async (e) => (await r(), e ? !!t.get(s.value)?.has(e) : t.has(s.value))
  });
}, f = () => v(i, {
  getter: async () => {
  },
  setter: async () => {
  },
  has: async () => {
  }
});
export {
  f as useApKeepAliveInject,
  g as useApKeepAliveProvide
};
